/*
DL2 Monitor: ./lib/csyntax.h
Copyright (C) 2002, Rolf Jger, Ulm (Germany)

See the file README for information on usage and redistribution
of this source code file, and for a DISCLAIMER OF ALL WARRANTIES.
*/

/*----------------------------------------------------------------------------
 * Datalink Monitor (csyntax): Commonly used Definitions
 * Any module should include this header file.
 *
 * -Constants (DL2_*):
 *  FAILURE commonly used return code on error;
 *  TIME_SIZE size of a packet's timestamp (in bytes);
 *  LENGTH_SIZE size of a packet's length (in bytes);
 *
 * Author: Rolf Jger,Ulm
 *----------------------------------------------------------------------------
 * YYYYMMDD  History
 * 20020330  created from scratch
 * $Id: csyntax.h,v 1.2 2002/04/09 06:37:43 dv Exp $
 *----------------------------------------------------------------------------
*/
# ifndef __CSYNTAX_H__
# define __CSYNTAX_H__

typedef unsigned char  Octet;
typedef unsigned short  Doctet;
typedef Doctet Octet2;
typedef unsigned int  Qoctet;
typedef Qoctet Octet4;

# define DL2_FAILURE -1

# define DL2_TIME_SIZE  4
# define DL2_LENGTH_SIZE  2

# endif /*__CSYNTAX_H__*/
